function Get-BacPac {
    [CmdletBinding()]
    [OutputType([string])]
    param (
        [Parameter(Mandatory = $true)][string][ValidateScript({ Test-Path $_ -PathType "Container" })]$ProjectFolder
    )

    # Bacpac file path.
    $bacpacUrl = (Read-Config).BacPacUrl

    # Create the destination path.
    $destinationFileName = Join-Path $ProjectFolder -ChildPath "TemplateProjectInsightDW.bacpac"

    # Download the bacpac file.
    Write-Verbose "Downloading bacpac file."
    (New-Object System.Net.WebClient).DownloadFile($bacpacUrl, $destinationFileName)

    return $destinationFileName
}